{"id":26458,"date":"2021-01-15T06:56:05","date_gmt":"2021-01-15T06:56:05","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-1\/?p=26458"},"modified":"2021-06-15T10:25:05","modified_gmt":"2021-06-15T09:25:05","slug":"channel-enablement-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-1\/docs\/bots\/api-guide\/channel-enablement-api\/","title":{"rendered":"Channel Enablement API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Used to initiate enable a channel for a bot.<\/p>\n<p class=\"note\">To use this API, app needs the Admin API Scope of <em>Channel Management<\/em> under <em>ChannelManagement<\/em>.<\/p>\n<p><strong>POST<\/strong> <code>https:\/\/{{host}}\/api\/public\/bot\/channels<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Required\/<br \/>\nOptional<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Required\/<br \/>Optional<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>streamId<\/td>\n<td>Required<\/td>\n<td>Stream or Bot ID &#8211; You can access it from the General Settings page of the bot.<\/td>\n<\/tr>\n<tr>\n<td>appName<\/td>\n<td>Required<\/td>\n<td>The app associated with this Bot, you can obtain it from the Manage Apps page of the bott<\/td>\n<\/tr>\n<tr>\n<td>clientId<\/td>\n<td>Required<\/td>\n<td>The client id for the app associated with this Bot, you can obtain it from the Manage Apps page of the bott<\/td>\n<\/tr>\n<tr>\n<td>type<\/td>\n<td>Required<\/td>\n<td>\n<p>Channel that you want to enable for this Bot. Following are the channel type details:<\/p>\n<ul>\n<li>rtm &#8211; for Web\/Mobile SDK<\/li>\n<li>slack &#8211; for Slack<\/li>\n<li>ivr &#8211; for WebHook<\/li>\n<li>msteams &#8211; for MS Teams<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_content_type\">Response content type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<p><strong>Sample Request for Web\/Mobile channel<\/strong>:<\/p>\n<pre>curl --location --request POST 'https:\/\/{{host}}\/api\/public\/channels' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data-raw '{\r\n    \"streamId\": \"st-xxxxfxxx-edxx-xxxx-xxbb-fxxxexxfxfcx\",\r\n    \"channelDetails\": {\r\n        \"displayName\": \"Web \/ Mobile Client\",\r\n        \"type\": \"rtm\",\r\n        \"app\": {\r\n           \"clientId\": \"cs-xexxdxxx-xbbc-xxex-xxef-xxxxxxxxfxfx\",\r\n           \"appName\": \"app_name\"\r\n        },\r\n     \"enable\": true\r\n    },\r\n  \"type\": \"rtm\"\r\n}'<\/pre>\n<p><strong>Sample Request for MS Teams channel<\/strong>:<\/p>\n<pre>curl --location --request POST 'https:\/\/{{host}}\/api\/public\/channels' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data-raw '{\r\n    \"streamId\": \"st-42d7cc4e-8385-5c70-9e1f-5b68f521aabd\",\r\n    \"channelDetails\": {\r\n       \"botName\": \"Banking Bot\",\r\n       \"enable\": true,\r\n       \"type\": \"msteams\",\r\n       \"appId\": \"cbabcxce-acxb-xxxx-axxf-xabxxxfexxxb\",\r\n       \"appPassword\": \"<password>\"\r\n     },\r\n   \"type\": \"msteams\"\r\n}'<\/pre>\n<p><strong>Sample Request for WebHook channel<\/strong>:<\/p>\n<pre>curl --location --request POST 'https:\/\/{{host}}\/api\/public\/channels' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data-raw '{\r\n    \"streamId\": \"st-cxfaxxax-xexx-xxex-axxe-xxdxexxxfxex\",\r\n    \"channelDetails\": {\r\n        \"app\": {\r\n            \"clientId\": \"cs-dxxcxxxc-Xxxx-xxxx-axxx-xxxxcxbexeax\",\r\n            \"appName\": \"Banking Bot\"\r\n        },\r\n     \"createInstance\": true,\r\n     \"type\": \"ivr\",\r\n     \"displayName\": \"webhook1\",\r\n     \"enable\": true,\r\n     \"isAsync\": false,\r\n    },\r\n    \"type\": \"ivr\"\r\n}'<\/pre>\n<p><strong>Sample Request for Slack channel<\/strong>:<\/p>\n<pre>curl --location --request POST 'https:\/\/{{host}}\/api\/public\/channels' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data-raw '{\r\n   \"streamId\": \"st-1b845445-9380-5fda-abb0-51a4423971ca\",\r\n   \"channelDetails\": {\r\n       \"displayName\": \"slack\",\r\n       \"botName\":\"Banking Bot\",\r\n       \"enable\": true,\r\n       \"type\": \"slack\",\r\n       \"accessToken\": \"xoxb-xxxxxxxx-xxxxxx-xa5FhuuDvOta4Bhlv7PfWZ\",\r\n       \"clientId\": \"xxxxxx.xxxxxx\",\r\n       \"clientSecret\": \"xxexxdxxxdxcxxbxacxxxdfxxxxxex\",\r\n       \"verificationToken\": \"abcd\"\r\n   },\r\n   \"type\": \"slack\"\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<p>The response from the platform depends on the channel being enabled.<\/p>\n<p>Sample response for <strong>web\/mobile SDK<\/strong>:<\/p>\n<pre>{\r\n\t\"displayName\": \"Web \/ Mobile Client\",\r\n\t\"type\": \"rtm\",\r\n\t\"name\": \"Web \/ Mobile Client\",\r\n\t\"isAlertsEnabled\": false,\r\n\t\"enable\": true,\r\n\t\"sttEnabled\": false,\r\n\t\"sttEngine\": \"kore\"\r\n}\r\n<\/pre>\n<p>Sample response for <strong>webhook channel<\/strong>:<\/p>\n<pre>{\r\n    \"displayName\": \"webhook\",\r\n    \"enable\": true,\r\n    \"isAsync\": false,\r\n    \"type\": \"ivr\",\r\n    \"url\": \"&lt;webhook-url&gt;\"\r\n}<\/pre>\n<p>Sample response for <strong>slack channel<\/strong>:<\/p>\n<pre>{\r\n    \"streamUserAccountId\": \"su-bxxxxfax-exba-xxeb-xxxc-xxxacxxxxxx\",\r\n    \"type\": \"slack\",\r\n    \"enable\": false,\r\n    \"verificationToken\": \"mxSxdWXcQxEFxrRPEdeoCC\"\r\n}<\/pre>\n<p>Sample response for <strong>msteams channel<\/strong>:<\/p>\n<pre>{\r\n    \"type\": \"msteams\",\r\n    \"enable\": false,\r\n    \"accountId\": \"su-bcf9xxxfc-dxxx-xxxc-xexa-bxxexxxxxxx\",\r\n    \"app_id\": \"xxebcfxf-xxxd-xxca-xxea-bxxxxxxaxxx\"\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Used to initiate enable a channel for a bot. To use this API, app needs the Admin API Scope of Channel Management under ChannelManagement. POST https:\/\/{{host}}\/api\/public\/bot\/channels Query Parameters Parameter Required\/ Optional Description host Required Environment URL, for example, https:\/\/bots.kore.ai Body Parameters Parameter Required\/Optional Description streamId Required Stream or Bot ID - You can access it...","protected":false},"author":14,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-26458","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts\/26458","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/users\/14"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/comments?post=26458"}],"version-history":[{"count":16,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts\/26458\/revisions"}],"predecessor-version":[{"id":27244,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts\/26458\/revisions\/27244"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/media?parent=26458"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/categories?post=26458"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/tags?post=26458"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}